BDS_INSTANCE_LIST(1)

NAME
bds_instance_list -

DESCRIPTION

Returns a list of BDS instances.

USAGE

oci bds instance list [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    The OCID of the compartment.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--display-name [text]

    A filter to return only resources that match the entire display name given.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--lifecycle-state [text]

    The state of the BDS instance.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, RESUMING, SUSPENDED, SUSPENDING, UPDATING

--limit [integer]

    The maximum number of items to return.

--page [text]

    The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.

    Accepted values are:

    displayName, timeCreated

--sort-order [text]

    The sort order to use, either 'asc' or 'desc'.

    Accepted values are:

    ASC, DESC

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle